﻿using Abp.Application.Services;
using BCS.BMC.Users.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;
using Microsoft.AspNetCore.Identity;
using BCS.BMC.BMC.CompanyMasters;
using Abp.Application.Services.Dto;
using BCS.BMC.ClientMasters.Dto;
using System.Web.Mvc;
using BCS.BMC.CompanyMasters.Dto;
using System.Web.Http;
using HttpPostAttribute = System.Web.Http.HttpPostAttribute;
using System.Net.Http;

namespace BCS.BMC.CompanyMasters
{

    public interface ICompanyMasterAppService :  IApplicationService
    {
        Task<PagedResultDto<CompanyListDto>> GetCompanies(GetCompanyInput input);
        Task<GetCompanyMasterForEditOutput> GetCompanyById(EntityDto input);       
        Task<int> CreateOrUpdateCompanyMaster(CreateOrUpdateCompanyMasterInput input);
        Task DeleteCompanyList(InputCompanyId Ids);
        Task DeleteCompany(EntityDto<int> input);
        [HttpPost]
        Task<HttpStatusCodeResult> TokenByCompanyUrl(GetInputUrl input);
        Task<ValidUrlResponseDto> UrlIsValid(string url);
    }
}
